Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface SmartHouseIntercomService

public interface SmartHouseIntercomService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIntercomFlatForContractAddress(int contractId)`
  `void`
  `doGetIntercomFlats(int id)`
  `List<String>`
  `getContractData(List<Integer> contractIds)`
  `SmartHouseIntercomFlat`
  `getSmartHouseIntercomFlatByContractId(int contractId)`
  `org.json.JSONObject`
  `houseInfoData(List<Integer> houseIds)`
  `List<ContractIdTitleComment>`
  `searchContractByAddress(int intercomId)`
  `List<ContractIdTitleComment>`
  `searchContractByMask(String text)`
  `List<String>`
  `searchHouse(String text)`
  `SearchResult<String>`
  `searchIntercomFlatStatusLogs(int intercomFlatId, Page page)`
  `void`
  `setIntercomFlatStatus(int contractId, int intercomFlatId, boolean status)`
  `List<SmartHouseIntercomFlat>`
  `smartHouseIntercomFlatList(int intercomId)`
  `void`
  `smartHouseIntercomFlatUpdate(SmartHouseIntercomFlat data)`
  `SmartHouseIntercom`
  `smartHouseIntercomGet(int id)`
  `List<SmartHouseIntercom>`
  `smartHouseIntercomList()`
  `SearchResult<SmartHouseIntercom>`
  `smartHouseIntercomSearch(String title, String[] sort, Page page)`
  `int`
  `smartHouseIntercomUpdate(SmartHouseIntercom smartHouseIntercom)`

- ## Method Details

  - ### smartHouseIntercomSearch

    SearchResult<SmartHouseIntercom> smartHouseIntercomSearch(String title, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### smartHouseIntercomList

    List<SmartHouseIntercom> smartHouseIntercomList() throws Exception
    Throws:
      `Exception`

  - ### houseInfoData

    org.json.JSONObject houseInfoData(List<Integer> houseIds) throws Exception
    Throws:
      `Exception`

  - ### doGetIntercomFlats

    void doGetIntercomFlats(int id) throws Exception
    Throws:
      `Exception`

  - ### smartHouseIntercomGet

    SmartHouseIntercom smartHouseIntercomGet(int id) throws Exception
    Throws:
      `Exception`

  - ### smartHouseIntercomUpdate

    int smartHouseIntercomUpdate(SmartHouseIntercom smartHouseIntercom) throws Exception
    Throws:
      `Exception`

  - ### smartHouseIntercomFlatList

    List<SmartHouseIntercomFlat> smartHouseIntercomFlatList(int intercomId) throws Exception
    Throws:
      `Exception`

  - ### smartHouseIntercomFlatUpdate

    void smartHouseIntercomFlatUpdate(SmartHouseIntercomFlat data) throws Exception
    Throws:
      `Exception`

  - ### getContractData

    List<String> getContractData(List<Integer> contractIds) throws Exception
    Throws:
      `Exception`

  - ### searchHouse

    List<String> searchHouse(String text) throws Exception
    Throws:
      `Exception`

  - ### searchContractByMask

    List<ContractIdTitleComment> searchContractByMask(String text) throws Exception
    Throws:
      `Exception`

  - ### searchContractByAddress

    List<ContractIdTitleComment> searchContractByAddress(int intercomId) throws Exception
    Throws:
      `Exception`

  - ### setIntercomFlatStatus

    void setIntercomFlatStatus(int contractId, int intercomFlatId, boolean status) throws Exception
    Throws:
      `Exception`

  - ### getSmartHouseIntercomFlatByContractId

    SmartHouseIntercomFlat getSmartHouseIntercomFlatByContractId(int contractId) throws Exception
    Throws:
      `Exception`

  - ### addIntercomFlatForContractAddress

    void addIntercomFlatForContractAddress(int contractId) throws Exception
    Throws:
      `Exception`

  - ### searchIntercomFlatStatusLogs

    SearchResult<String> searchIntercomFlatStatusLogs(int intercomFlatId, Page page) throws Exception
    Throws:
      `Exception`